#ifndef _PSG_H_
#define _PSG_H_

#include <stdint.h>

void InitPSG(void);
// MIDI functoin
void SendNoteOn(uint8_t ch, uint8_t note);
void SendNoteOff(uint8_t ch);
void SendNoteVol(uint8_t ch, uint8_t vol);

void SendNoteMode(uint8_t ch, uint8_t mode); // (Envelope enable) mode=1: envelope, mode=0: constant volume
void SendToneEnable(uint8_t ch, uint8_t enableState);
void SendNoiseEnable(uint8_t ch, uint8_t enableState, uint8_t vol);
void SendNoisePeriod(uint8_t value);
void SendEnvelopePeriod(uint16_t value);
void SendEnvelopeType(uint8_t value);

void SendPitchBend(uint8_t ch, int16_t bend);


#endif
