#ifndef _SREG_H_
#define _SREG_H_

#include <stdint.h>

#ifndef SBI
#define SBI(io, bit) io |= (1 << bit)
#endif
#ifndef CBI
#define CBI(io, bit) io &= ~(1 << bit)
#endif

#define SREG_74164	1
#define SREG_74595	0

// PIC-like IO definition
#define SREG_DIR	TRISB
#define SREG_PORT	LATB
#define SREG_DATA	4
#define SREG_CLK	5
#if SREG_74595
#define SREG_LE		6
#endif

void SregInit();
void SregSend(uint8_t d);


#endif
